Commit 7c75eef8 authored by Kevin Funk's avatar Kevin Funk

CMake: Fix minor warning

CMake Warning (dev) at .../share/ECM/modules/ECMPackageConfigHelpers.cmake:84 (message):
  Your project already requires a version of CMake that includes the
  find_dependency macro via the CMakeFindDependencyMacro module.  You should
  use CMakePackageConfigHelpers instead of ECMPackageConfigHelpers.
parent 1859d5ad
......@@ -49,9 +49,9 @@ endif()
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(CMakePackageConfigHelpers)
include(ECMMarkNonGuiExecutable)
include(ECMMarkAsTest)
include(ECMPackageConfigHelpers)
include(ECMOptionalAddSubdirectory)
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
......
......@@ -15,7 +15,7 @@ ecm_setup_version(${LIBKIOARCHIVE_VERSION} VARIABLE_PREFIX "KIOARCHIVE"
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KioArchive")
ecm_configure_package_config_file(
configure_package_config_file(
"${CMAKE_CURRENT_SOURCE_DIR}/KioArchiveConfig.cmake.in"
"${CMAKE_CURRENT_BINARY_DIR}/KioArchiveConfig.cmake"
INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment